Name: sendmail
%define version 8.9.2
Version: %{version}
Release: 1C3
Summary: sendmail mail transport agent
Copyright: distributable (similar to, but not quite BSD)
Group: Networking/Daemons
Provides: smtpdaemon
Source0: ftp://ftp.sendmail.org/pub/sendmail/sendmail.%{version}.tar.gz
Source1: site.Linux.m4
Source2: aliases
Source3: redhat.mc
Source4: access
Source5: sendmail.ct
Source6: sendmail.cw
Source7: virtusertable
Patch0: sendmail_rmail.diff
URL: http://www.sendmail.org/
BuildRoot: /var/tmp/sendmail

%changelog
* Sun Jan 17 1999 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - 8.9.2-1C3
  - Do not make symbolic link re-mqueue.1. See comment below.

* Fri Jan 01 1999 Duncan Laurie <duncan@cobaltnet.com>
 - build 8.9.2 to fix security problem

* Thu Dec 31 1998 Duncan Laurie <duncan@cobaltnet.com>
 - fix the .cf file to not use old redhat hacks for spam filtering,
   but instead use the built in features

* Wed Nov 18 1998 Duncan Laurie <duncan@cobaltnet.com>
 - build 8.9.1

%description 
Sendmail is a Mail Transport Agent, which is the program
that moves mail from one machine to another.  Sendmail implements a
general internetwork mail routing facility, featuring aliasing and
forwarding, automatic routing to network gateways, and flexible
configuration.

If you need the ability to send and receive mail via the internet
you'll need sendmail.

%package doc
Summary: sendmail documentation
Group: Daemons

%description doc
This package includes release notes, the sendmail FAQ, and a few
papers written about sendmail.  The papers are available in PostScript
and troff.

%package conf
Summary: sendmail configuration files and m4 macros
Group: Daemons

%description conf
This package contains all the configuration files used to generate
the sendmail.cf file distributed with the base sendmail package.
You'll want this package if you need to reconfigure and rebuild
your sendmail.cf file.  For example, the default sendmail.cf is
not configured for UUCP.  If you need to send and receive mail
over UUCP, you may need this package to help you reconfigure sendmail.

%prep
%setup 
%patch0 -p1

# use install instead of cp or patch (easier to test and debug)
install -m444 $RPM_SOURCE_DIR/site.Linux.m4 ${RPM_BUILD_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/BuildTools/Site 
install -m444 $RPM_SOURCE_DIR/redhat.mc ${RPM_BUILD_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/cf/
# end prep

%build
make src makemap mailstats makemap praliases rmail 
make smrsh LDOPTS="-s -static" 
(
cd cf
/usr/bin/m4 redhat.mc >> sendmail.cf
)

# end build (That was tough!) 

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/{,mail,smrsh}
mkdir -p ${RPM_BUILD_ROOT}/usr/{,bin,sbin,lib,lib/sendmail-cf,libexec}
mkdir -p ${RPM_BUILD_ROOT}/usr/man/{,man{1,5,8}}
mkdir -p ${RPM_BUILD_ROOT}/var/{,log,spool/{,mqueue,mail}}

# from source dir
install -m644 -g root -o root ${RPM_SOURCE_DIR}/{access,sendmail.ct} ${RPM_BUILD_ROOT}/etc/mail/
touch ${RPM_BUILD_ROOT}/etc/mail/access.db
install -m644 -g root -o root ${RPM_SOURCE_DIR}/{aliases,virtusertable,sendmail.cw} ${RPM_BUILD_ROOT}/etc/
touch ${RPM_BUILD_ROOT}/etc/{,virtusertable.db}
touch ${RPM_BUILD_ROOT}/var/log/sendmail.st

# The first make command will fail in smrsh. Bah.
make DESTDIR=${RPM_BUILD_ROOT} OPTIONS="$OPTIONS force-install" install || \
	make DESTDIR=${RPM_BUILD_ROOT} install

ln -sf ${RPM_BUILD_ROOT}/usr/libexec/smrsh ${RPM_BUILD_ROOT}/usr/sbin/smrsh

# fix symlink problem by cheating
for i in hoststat mailq newaliases purgestat
	do ln -sf ../sbin/sendmail  ${RPM_BUILD_ROOT}/usr/bin/$i
done
ln -sf ../sbin/sendmail ${RPM_BUILD_ROOT}/usr/lib/sendmail
ln -sf ../sbin/makemap ${RPM_BUILD_ROOT}/usr/bin/makemap
ln -sf ../sbin/praliases ${RPM_BUILD_ROOT}/usr/bin/praliases

# put some stuff in place
install -m644 -g root -o root src/sendmail.hf ${RPM_BUILD_ROOT}/etc/mail/sendmail.hf
install -m644 -g root -o root cf/sendmail.cf ${RPM_BUILD_ROOT}/etc/sendmail.cf

# Since we can re-generate a sendmail.cf in that directory and/or modifications
# to mc files, we want this to be in /var (/usr in read only)
cp -a cf/* ${RPM_BUILD_ROOT}/usr/lib/sendmail-cf/

cp contrib/expn.pl ${RPM_BUILD_ROOT}/usr/bin/expn
(cd ${RPM_BUILD_ROOT}/usr/man/man1; ln -s ../../bin/expn expn.1)
cp contrib/re-mqueue.pl ${RPM_BUILD_ROOT}/usr/sbin/re-mqueue
# Kevin: should be under /sbin. However, re-mqueue don't have man information
#(cd ${RPM_BUILD_ROOT}/usr/man/man1; ln -s ../../bin/re-mqueue re-mqueue.1)

%clean
rm -rf ${RPM_BUILD_ROOT}

%post conf
/usr/bin/newaliases > /dev/null
cd ${RPM_BUILD_ROOT}/etc/mail
/usr/bin/makemap hash access < access > /dev/null

%files
%dir /etc/mail
%dir /etc/smrsh
/usr/lib/sendmail
/usr/sbin/*
/usr/bin/*
/usr/libexec/*
/usr/man/man1/*
/usr/man/man8/*
/var/log/sendmail.st
/var/spool/mqueue

%files conf
%config /usr/lib/sendmail-cf
%config /etc/sendmail.cf
%config /etc/aliases
%config /etc/sendmail.cw
%config /etc/mail/sendmail.hf
%config /etc/mail/sendmail.ct
%config /etc/mail/access
%config /etc/mail/access.db
%config /etc/virtusertable
%config /etc/virtusertable.db

%files doc
%doc FAQ README KNOWNBUGS RELEASE_NOTES
%doc doc
%doc BuildTools/README smrsh/README src/README
